daemon daemon/dbus {
	need = system/bootmisc;
	env DAEMONUSER=messagebus;
	env PIDDIR=/var/run/dbus;
	env PIDFILE=${PIDDIR}/pid;
	env_file = /etc/default/dbus-1;
	pid_file = /var/run/dbus/pid;
	script daemon = {
		[ "${ENABLED}" = 0 ] && exit 0

		#Debian and Ubuntu are using different files
		if [ -x /usr/bin/dbus-daemon-1 ]
		then
			DAEMON=/usr/bin/dbus-daemon-1
		elif [ -x /usr/bin/dbus-daemon ]
		then
			DAEMON=/usr/bin/dbus-daemon
		else
			echo "/usr/bin/dbus-daemon or /usr/bin/dbus-daemon-1 not found!"
			exit 1
		fi

		if [ ! -d ${PIDDIR} ]
		then
			/bin/mkdir -p ${PIDDIR}
			chown ${DAEMONUSER} ${PIDDIR}
			chgrp ${DAEMONUSER} ${PIDDIR}
		fi
		if [ -e ${PIDFILE} ]
		then
			PIDDIR=/proc/`/bin/cat ${PIDFILE}`
			if [ -d ${PIDDIR} -a  "`readlink -f ${PIDDIR}/exe`" = "${DAEMON}" ]
			then
				echo "${DESC} already started; not starting."
			else
				echo "Removing stale PID file ${PIDFILE}."
				/bin/rm -f ${PIDFILE}
			fi
		fi

		exec ${DAEMON} --system ${PARAMS}
	};
}
