service net/all {
	stdall = /dev/null;
	need = system/bootmisc system/ifupdown-debian;
	use = system/static-modules system/coldplug daemon/cardmgr;
	script start = {
		for i in `/bin/cat /etc/network/interfaces | /bin/grep "^auto " | /usr/bin/awk '{ for (i=2; i<=NF; i++) print $i }'`
		do
			ngc -u net/${i}
		done
		wait
	};
	script stop = {
		for i in `/bin/cat /etc/network/interfaces | /bin/grep "^auto " | /usr/bin/awk '{ for (i=2; i<=NF; i++) print $i }'`
		do
			ngc -d net/${i}
		done
		wait
	};
}

service net/lo {
	need = system/bootmisc system/ifupdown-debian;
	use = system/static-modules system/coldplug;
	exec start = /sbin/ifup lo;
	exec stop = /sbin/ifdown lo;
}

service net/* {
	network_provider;
	stdall = /dev/null;
	need = system/bootmisc system/ifupdown-debian;
	use = system/static-modules system/coldplug daemon/cardmgr;
	script start = {
		# Put up the interface
		/sbin/ifup ${NAME}
		# Check so its up
		/sbin/ifconfig ${NAME} | /bin/grep -qe "inet addr" -e "inet6 addr" || exit 1
		exit 0
	};
	script stop = {
		set -e
		# Shut down.
		/sbin/ifdown ${NAME}
		# Check so its down.
		/sbin/ifconfig ${NAME} | /bin/grep -qe "inet addr" -e "inet6 addr" && exit 1
		exit 0
	};
}
